Search.appendIndex(
    [
                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData",
            "name": "CodeData",
            "summary": "Contains\u0020codes\u0020from\u0020the\u0020MARC\u0020code\u0020lists\u0020for\u0020Geographic\u0020Areas,\u0020Languages,\u0020and\nCountries.",
            "url": "classes/VuFind-Marc-Lint-CodeData.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A__construct\u0028\u0029",
            "name": "__construct",
            "summary": "Start\u0020function",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#method___construct"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024geogAreaCodes",
            "name": "geogAreaCodes",
            "summary": "Valid\u0020Geographic\u0020Area\u0020Codes",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_geogAreaCodes"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024obsoleteGeogAreaCodes",
            "name": "obsoleteGeogAreaCodes",
            "summary": "Obsolete\u0020Geographic\u0020Area\u0020Codes",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_obsoleteGeogAreaCodes"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024languageCodes",
            "name": "languageCodes",
            "summary": "Valid\u0020Language\u0020Codes",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_languageCodes"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024obsoleteLanguageCodes",
            "name": "obsoleteLanguageCodes",
            "summary": "Obsolete\u0020Language\u0020Codes",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_obsoleteLanguageCodes"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024countryCodes",
            "name": "countryCodes",
            "summary": "Valid\u0020Country\u0020Codes",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_countryCodes"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024obsoleteCountryCodes",
            "name": "obsoleteCountryCodes",
            "summary": "Obsolete\u0020Country\u0020Codes",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_obsoleteCountryCodes"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024sources600_651",
            "name": "sources600_651",
            "summary": "Valid\u0020sources\u0020for\u0020fields\u0020600\u002D651",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_sources600_651"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024obsoleteSources600_651",
            "name": "obsoleteSources600_651",
            "summary": "Obsolete\u0020sources\u0020for\u0020fields\u0020600\u002D651",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_obsoleteSources600_651"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024sources655",
            "name": "sources655",
            "summary": "Valid\u0020sources\u0020for\u0020field\u0020655",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_sources655"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint\\CodeData\u003A\u003A\u0024obsoleteSources655",
            "name": "obsoleteSources655",
            "summary": "Obsolete\u0020sources\u0020for\u0020field\u0020655",
            "url": "classes/VuFind-Marc-Lint-CodeData.html#property_obsoleteSources655"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection",
            "name": "MarcCollection",
            "summary": "MARC\u0020collection\u0020class.",
            "url": "classes/VuFind-Marc-MarcCollection.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003A__construct\u0028\u0029",
            "name": "__construct",
            "summary": "Constructor",
            "url": "classes/VuFind-Marc-MarcCollection.html#method___construct"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003AsetData\u0028\u0029",
            "name": "setData",
            "summary": "Set\u0020MARC\u0020record\u0020data",
            "url": "classes/VuFind-Marc-MarcCollection.html#method_setData"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003Arewind\u0028\u0029",
            "name": "rewind",
            "summary": "Iterator\u003A\u0020Rewind\u0020to\u0020the\u0020beginning.",
            "url": "classes/VuFind-Marc-MarcCollection.html#method_rewind"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003Acurrent\u0028\u0029",
            "name": "current",
            "summary": "Iterator\u003A\u0020Return\u0020current\u0020record.",
            "url": "classes/VuFind-Marc-MarcCollection.html#method_current"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003Akey\u0028\u0029",
            "name": "key",
            "summary": "Iterator\u003A\u0020Return\u0020current\u0020key.",
            "url": "classes/VuFind-Marc-MarcCollection.html#method_key"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003Anext\u0028\u0029",
            "name": "next",
            "summary": "Iterator\u003A\u0020Advance\u0020to\u0020the\u0020next\u0020record.",
            "url": "classes/VuFind-Marc-MarcCollection.html#method_next"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003Avalid\u0028\u0029",
            "name": "valid",
            "summary": "Iterator\u003A\u0020Check\u0020if\u0020current\u0020position\u0020is\u0020valid.",
            "url": "classes/VuFind-Marc-MarcCollection.html#method_valid"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003A\u0024serializations",
            "name": "serializations",
            "summary": "Supported\u0020serialization\u0020formats",
            "url": "classes/VuFind-Marc-MarcCollection.html#property_serializations"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003A\u0024records",
            "name": "records",
            "summary": "Records\u0020in\u0020the\u0020collection",
            "url": "classes/VuFind-Marc-MarcCollection.html#property_records"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollection\u003A\u003A\u0024position",
            "name": "position",
            "summary": "Iteration\u0020position",
            "url": "classes/VuFind-Marc-MarcCollection.html#property_position"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile",
            "name": "MarcCollectionFile",
            "summary": "MARC\u0020collection\u0020class\u0020for\u0020streaming\u0020a\u0020file.",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003A__construct\u0028\u0029",
            "name": "__construct",
            "summary": "Constructor",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#method___construct"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003AsetFile\u0028\u0029",
            "name": "setFile",
            "summary": "Set\u0020MARC\u0020record\u0020file",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#method_setFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003Arewind\u0028\u0029",
            "name": "rewind",
            "summary": "Iterator\u003A\u0020Rewind\u0020to\u0020the\u0020beginning.",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#method_rewind"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003Acurrent\u0028\u0029",
            "name": "current",
            "summary": "Iterator\u003A\u0020Return\u0020current\u0020record.",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#method_current"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003Akey\u0028\u0029",
            "name": "key",
            "summary": "Iterator\u003A\u0020Return\u0020current\u0020key.",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#method_key"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003Anext\u0028\u0029",
            "name": "next",
            "summary": "Iterator\u003A\u0020Advance\u0020to\u0020the\u0020next\u0020record.",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#method_next"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003Avalid\u0028\u0029",
            "name": "valid",
            "summary": "Iterator\u003A\u0020Check\u0020if\u0020current\u0020position\u0020is\u0020valid.",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#method_valid"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003A\u0024serializations",
            "name": "serializations",
            "summary": "Supported\u0020serialization\u0020formats",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#property_serializations"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003A\u0024stream",
            "name": "stream",
            "summary": "Serialized\u0020format\u0020stream",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#property_stream"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003A\u0024position",
            "name": "position",
            "summary": "Iteration\u0020position",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#property_position"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003A\u0024record",
            "name": "record",
            "summary": "Current\u0020record",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#property_record"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcCollectionFile\u003A\u003A\u0024messageCallback",
            "name": "messageCallback",
            "summary": "Message\u0020callback",
            "url": "classes/VuFind-Marc-MarcCollectionFile.html#property_messageCallback"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint",
            "name": "MarcLint",
            "summary": "Class\u0020for\u0020testing\u0020validity\u0020of\u0020MARC\u0020records\u0020against\u0020MARC21\u0020standard.",
            "url": "classes/VuFind-Marc-MarcLint.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003A__construct\u0028\u0029",
            "name": "__construct",
            "summary": "Start\u0020function",
            "url": "classes/VuFind-Marc-MarcLint.html#method___construct"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AcheckRecord\u0028\u0029",
            "name": "checkRecord",
            "summary": "Check\u0020the\u0020provided\u0020MARC\u0020record\u0020and\u0020return\u0020an\u0020array\u0020of\u0020warning\u0020messages.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_checkRecord"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003Awarn\u0028\u0029",
            "name": "warn",
            "summary": "Add\u0020a\u0020warning.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_warn"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AcheckDuplicate1xx\u0028\u0029",
            "name": "checkDuplicate1xx",
            "summary": "Check\u0020for\u0020multiple\u00201xx\u0020fields.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_checkDuplicate1xx"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AcheckMissing245\u0028\u0029",
            "name": "checkMissing245",
            "summary": "Check\u0020for\u0020missing\u0020245\u0020field.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_checkMissing245"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AstandardFieldChecks\u0028\u0029",
            "name": "standardFieldChecks",
            "summary": "Check\u0020all\u0020fields\u0020against\u0020the\u0020standard\u0020rules\u0020encoded\u0020in\u0020the\u0020class.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_standardFieldChecks"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AcheckIndicators\u0028\u0029",
            "name": "checkIndicators",
            "summary": "Check\u0020the\u0020indicators\u0020for\u0020the\u0020provided\u0020field.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_checkIndicators"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AcheckSubfields\u0028\u0029",
            "name": "checkSubfields",
            "summary": "Check\u0020the\u0020subfields\u0020for\u0020the\u0020provided\u0020field.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_checkSubfields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003Acheck020\u0028\u0029",
            "name": "check020",
            "summary": "Looks\u0020at\u0020020\u0024a\u0020and\u0020reports\u0020errors\u0020if\u0020the\u0020check\u0020digit\u0020is\u0020wrong.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_check020"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003Acheck041\u0028\u0029",
            "name": "check041",
            "summary": "Warns\u0020if\u0020subfields\u0020are\u0020not\u0020evenly\u0020divisible\u0020by\u00203\u0020unless\u0020second\u0020indicator\u0020is\u00207\n\u0028future\u0020implementation\u0020would\u0020ensure\u0020that\u0020each\u0020subfield\u0020is\u0020exactly\u00203\u0020characters\nunless\u0020ind2\u0020is\u00207\u002D\u002Dsince\u0020subfields\u0020are\u0020now\u0020repeatable.\u0020This\u0020is\u0020not\u0020implemented\nhere\u0020due\u0020to\u0020the\u0020large\u0020number\u0020of\u0020records\u0020needing\u0020to\u0020be\u0020corrected.\u0029.\u0020Validates\nagainst\u0020the\u0020MARC\u0020Code\u0020List\u0020for\u0020Languages\u0020\u0028\u003Chttp\u003A\/\/www.loc.gov\/marc\/\u003E\u0029.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_check041"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003Acheck043\u0028\u0029",
            "name": "check043",
            "summary": "Warns\u0020if\u0020each\u0020subfield\u0020a\u0020is\u0020not\u0020exactly\u00207\u0020characters.\u0020Validates\u0020each\u0020code\nagainst\u0020the\u0020MARC\u0020code\u0020list\u0020for\u0020Geographic\u0020Areas\u0020\u0028\u003Chttp\u003A\/\/www.loc.gov\/marc\/\u003E\u0029.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_check043"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003Acheck245\u0028\u0029",
            "name": "check245",
            "summary": "\u002DMakes\u0020sure\u0020\u0024a\u0020exists\u0020\u0028and\u0020is\u0020first\u0020subfield\u0029.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_check245"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AcheckArticle\u0028\u0029",
            "name": "checkArticle",
            "summary": "Check\u0020of\u0020articles\u0020is\u0020based\u0020on\u0020code\u0020from\u0020Ian\u0020Hamilton.\u0020This\u0020version\u0020is\u0020more\nlimited\u0020in\u0020that\u0020it\u0020focuses\u0020on\u0020English,\u0020Spanish,\u0020French,\u0020Italian\u0020and\u0020German\narticles.\u0020Certain\u0020possible\u0020articles\u0020have\u0020been\u0020removed\u0020if\u0020they\u0020are\u0020valid\nEnglish\u0020non\u002Darticles.\u0020This\u0020version\u0020also\u0020disregards\u0020008_language\/041\u0020codes\nand\u0020just\u0020uses\u0020the\u0020list\u0020of\u0020articles\u0020to\u0020provide\u0020warnings\/suggestions.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_checkArticle"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AparseRules\u0028\u0029",
            "name": "parseRules",
            "summary": "Support\u0020method\u0020for\u0020constructor\u0020to\u0020load\u0020MARC\u0020rules.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_parseRules"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AprocessRuleGroup\u0028\u0029",
            "name": "processRuleGroup",
            "summary": "Support\u0020method\u0020for\u0020parseRules\u0028\u0029\u0020\u002D\u002D\u0020process\u0020one\u0020group\u0020of\u0020lines\u0020representing\na\u0020single\u0020tag.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_processRuleGroup"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AgetHumanReadableIndicatorValues\u0028\u0029",
            "name": "getHumanReadableIndicatorValues",
            "summary": "Turn\u0020a\u0020set\u0020of\u0020indicator\u0020rules\u0020into\u0020a\u0020human\u002Dreadable\u0020list.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_getHumanReadableIndicatorValues"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003AgetRawRules\u0028\u0029",
            "name": "getRawRules",
            "summary": "Support\u0020method\u0020for\u0020parseRules\u0028\u0029\u0020\u002D\u002D\u0020get\u0020the\u0020raw\u0020rules\u0020from\u0020MARC\u003A\u003ALint.",
            "url": "classes/VuFind-Marc-MarcLint.html#method_getRawRules"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003A\u0024rules",
            "name": "rules",
            "summary": "Rules\u0020used\u0020for\u0020testing\u0020records",
            "url": "classes/VuFind-Marc-MarcLint.html#property_rules"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003A\u0024data",
            "name": "data",
            "summary": "A\u0020Lint\\CodeData\u0020object\u0020for\u0020validating\u0020codes",
            "url": "classes/VuFind-Marc-MarcLint.html#property_data"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcLint\u003A\u003A\u0024warnings",
            "name": "warnings",
            "summary": "Warnings\u0020generated\u0020during\u0020analysis",
            "url": "classes/VuFind-Marc-MarcLint.html#property_warnings"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader",
            "name": "MarcReader",
            "summary": "MARC\u0020record\u0020reader\u0020class.",
            "url": "classes/VuFind-Marc-MarcReader.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003A__construct\u0028\u0029",
            "name": "__construct",
            "summary": "Constructor",
            "url": "classes/VuFind-Marc-MarcReader.html#method___construct"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AsetData\u0028\u0029",
            "name": "setData",
            "summary": "Set\u0020MARC\u0020record\u0020data",
            "url": "classes/VuFind-Marc-MarcReader.html#method_setData"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AtoFormat\u0028\u0029",
            "name": "toFormat",
            "summary": "Serialize\u0020the\u0020record",
            "url": "classes/VuFind-Marc-MarcReader.html#method_toFormat"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetLeader\u0028\u0029",
            "name": "getLeader",
            "summary": "Return\u0020leader",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getLeader"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetField\u0028\u0029",
            "name": "getField",
            "summary": "Return\u0020an\u0020associative\u0020array\u0020for\u0020a\u0020data\u0020field,\u0020a\u0020string\u0020for\u0020a\u0020control\u0020field\u0020or\nan\u0020empty\u0020array\u0020if\u0020field\u0020does\u0020not\u0020exist",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getField"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetFields\u0028\u0029",
            "name": "getFields",
            "summary": "Return\u0020an\u0020associative\u0020array\u0020of\u0020fields\u0020for\u0020data\u0020fields\u0020or\u0020an\u0020array\u0020of\u0020values\nfor\u0020control\u0020fields",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getFields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetAllFields\u0028\u0029",
            "name": "getAllFields",
            "summary": "Return\u0020all\u0020fields\u0020as\u0020an\u0020array.",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getAllFields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetSubfield\u0028\u0029",
            "name": "getSubfield",
            "summary": "Return\u0020first\u0020subfield\u0020with\u0020the\u0020given\u0020code\u0020in\u0020the\u0020MARC\u0020field\u0020provided\u0020by\ngetField\u0020or\u0020getFields",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getSubfield"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetSubfields\u0028\u0029",
            "name": "getSubfields",
            "summary": "Return\u0020all\u0020subfields\u0020with\u0020the\u0020given\u0020code\u0020in\u0020the\u0020MARC\u0020field\u0020provided\u0020by\ngetField\u0020or\u0020getFields.\u0020Returns\u0020all\u0020subfields\u0020if\u0020subfieldCode\u0020is\u0020empty.",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getSubfields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetFieldsSubfields\u0028\u0029",
            "name": "getFieldsSubfields",
            "summary": "Return\u0020an\u0020array\u0020of\u0020all\u0020values\u0020extracted\u0020from\u0020the\u0020specified\u0020field\/subfield\ncombination.\u0020\u0020If\u0020multiple\u0020subfields\u0020and\u0020a\u0020separator\u0020are\u0020specified,\u0020the\nsubfields\u0020will\u0020be\u0020concatenated\u0020together\u0020in\u0020the\u0020order\u0020listed\u0020\u002D\u002D\u0020each\u0020entry\u0020in\nthe\u0020array\u0020will\u0020correspond\u0020with\u0020a\u0020single\u0020MARC\u0020field.\u0020\u0020If\u0020\u0024separator\u0020is\u0020null,\nthe\u0020return\u0020array\u0020will\u0020contain\u0020separate\u0020entries\u0020for\u0020all\u0020subfields.",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getFieldsSubfields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetLinkedField\u0028\u0029",
            "name": "getLinkedField",
            "summary": "Return\u0020an\u0020associative\u0020array\u0020for\u0020a\u0020linked\u0020field\u0020such\u0020as\u0020880\u0020\u0028Alternate\u0020Graphic\nRepresentation\u0029\u0020or\u0020an\u0020empty\u0020array\u0020if\u0020field\u0020does\u0020not\u0020exist",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getLinkedField"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetLinkedFields\u0028\u0029",
            "name": "getLinkedFields",
            "summary": "Return\u0020an\u0020array\u0020of\u0020associative\u0020arrays\u0020for\u0020a\u0020linked\u0020field\u0020such\u0020as\u0020880\n\u0028Alternate\u0020Graphic\u0020Representation\u0029",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getLinkedFields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetLinkedFieldsSubfields\u0028\u0029",
            "name": "getLinkedFieldsSubfields",
            "summary": "Return\u0020an\u0020array\u0020of\u0020all\u0020values\u0020extracted\u0020from\u0020the\u0020specified\u0020linked\nfield\/subfield\u0020combination.\u0020\u0020If\u0020multiple\u0020subfields\u0020and\u0020a\u0020separator\u0020are\nspecified,\u0020the\u0020subfields\u0020will\u0020be\u0020concatenated\u0020together\u0020in\u0020the\u0020order\u0020listed\n\u002D\u002D\u0020each\u0020entry\u0020in\u0020the\u0020array\u0020will\u0020correspond\u0020with\u0020a\u0020single\u0020MARC\u0020field.\u0020\u0020If\n\u0024separator\u0020is\u0020null,\u0020the\u0020return\u0020array\u0020will\u0020contain\u0020separate\u0020entries\u0020for\u0020all\nsubfields.",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getLinkedFieldsSubfields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetFieldLink\u0028\u0029",
            "name": "getFieldLink",
            "summary": "Get\u0020linked\u0020field\u0020data\u0020from\u0020subfield\u00206",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getFieldLink"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AparseLinkageField\u0028\u0029",
            "name": "parseLinkageField",
            "summary": "Parse\u0020a\u0020linkage\u0020field",
            "url": "classes/VuFind-Marc-MarcReader.html#method_parseLinkageField"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetFilteredRecord\u0028\u0029",
            "name": "getFilteredRecord",
            "summary": "Return\u0020a\u0020copy\u0020of\u0020the\u0020record\u0020with\u0020the\u0020specified\u0020fields\u0020and\/or\u0020subfields\nremoved.",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getFilteredRecord"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetFilteringRulesForTag\u0028\u0029",
            "name": "getFilteringRulesForTag",
            "summary": "Get\u0020filtering\u0020rules\u0020matching\u0020a\u0020field\u0020tag",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getFilteringRulesForTag"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AfilterSubfields\u0028\u0029",
            "name": "filterSubfields",
            "summary": "Filter\u0020subfields",
            "url": "classes/VuFind-Marc-MarcReader.html#method_filterSubfields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetWarnings\u0028\u0029",
            "name": "getWarnings",
            "summary": "Get\u0020any\u0020warnings\u0020encountered\u0020when\u0020parsing\u0020a\u0020record",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getWarnings"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetInternalFields\u0028\u0029",
            "name": "getInternalFields",
            "summary": "Return\u0020fields\u0020by\u0020tag\u0020in\u0020internal\u0020format",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getInternalFields"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003AgetInternalSubfield\u0028\u0029",
            "name": "getInternalSubfield",
            "summary": "Return\u0020first\u0020subfield\u0020with\u0020the\u0020given\u0020code\u0020in\u0020the\u0020internal\u0020MARC\u0020field",
            "url": "classes/VuFind-Marc-MarcReader.html#method_getInternalSubfield"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003A\u0024serializations",
            "name": "serializations",
            "summary": "Supported\u0020serialization\u0020formats",
            "url": "classes/VuFind-Marc-MarcReader.html#property_serializations"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003A\u0024leader",
            "name": "leader",
            "summary": "MARC\u0020leader",
            "url": "classes/VuFind-Marc-MarcReader.html#property_leader"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003A\u0024data",
            "name": "data",
            "summary": "MARC\u0020is\u0020stored\u0020in\u0020a\u0020multidimensional\u0020array\u0020resembling\u0020MARC\u002Din\u002DJSON\nspecification\u0020by\u0020Ross\u0020Singer\u003A\n\u005B\n\u0020\u0020\u0020\u0020\u0027leader\u0027\u0020\u003D\u003E\u0020\u0027...\u0027,\n\u0020\u0020\u0020\u0020\u0027fields\u0027\u0020\u003D\u003E\u0020\u005B\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005B\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0027001\u0027\u0020\u003D\u003E\u0020\u002712345\u0027\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005D,\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005B\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0027245\u0027\u0020\u003D\u003E\u0020\u005B\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0027ind1\u0027\u0020\u003D\u003E\u0020\u00270\u0027,\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0027ind2\u0027\u0020\u003D\u003E\u0020\u00271\u0027,\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0027subfields\u0027\u0020\u003D\u003E\u0020\u005B\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005B\u0027a\u0027\u0020\u003D\u003E\u0020\u0027Title\u0027\u005D,\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005B\u0027k\u0027\u0020\u003D\u003E\u0020\u0027Form\u0027\u005D,\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005B\u0027k\u0027\u0020\u003D\u003E\u0020\u0027Another\u0027\u005D,\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005B\u0027p\u0027\u0020\u003D\u003E\u0020\u0027Part\u0027\u005D,\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005D\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005D\n\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u0020\u005D\n\u0020\u0020\u0020\u0020\u005D\n\u005D",
            "url": "classes/VuFind-Marc-MarcReader.html#property_data"
        },                {
            "fqsen": "\\VuFind\\Marc\\MarcReader\u003A\u003A\u0024warnings",
            "name": "warnings",
            "summary": "Any\u0020warnings\u0020encountered\u0020when\u0020parsing\u0020a\u0020record",
            "url": "classes/VuFind-Marc-MarcReader.html#property_warnings"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\AbstractSerializationFile",
            "name": "AbstractSerializationFile",
            "summary": "Abstract\u0020base\u0020class\u0020for\u0020serialization\u0020format\u0020support\u0020classes.",
            "url": "classes/VuFind-Marc-Serialization-AbstractSerializationFile.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\AbstractSerializationFile\u003A\u003AsetMessageCallback\u0028\u0029",
            "name": "setMessageCallback",
            "summary": "Set\u0020message\u0020callback",
            "url": "classes/VuFind-Marc-Serialization-AbstractSerializationFile.html#method_setMessageCallback"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\AbstractSerializationFile\u003A\u003Amessage\u0028\u0029",
            "name": "message",
            "summary": "Output\u0020a\u0020message",
            "url": "classes/VuFind-Marc-Serialization-AbstractSerializationFile.html#method_message"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\AbstractSerializationFile\u003A\u003A\u0024messageCallback",
            "name": "messageCallback",
            "summary": "Message\u0020callback",
            "url": "classes/VuFind-Marc-Serialization-AbstractSerializationFile.html#property_messageCallback"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709",
            "name": "Iso2709",
            "summary": "ISO2709\u0020exchange\u0020format\u0020support\u0020class.",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AcanParse\u0028\u0029",
            "name": "canParse",
            "summary": "Check\u0020if\u0020this\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020string",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_canParse"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AcanParseCollection\u0028\u0029",
            "name": "canParseCollection",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020string",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_canParseCollection"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AcanParseCollectionFile\u0028\u0029",
            "name": "canParseCollectionFile",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_canParseCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AcollectionFromString\u0028\u0029",
            "name": "collectionFromString",
            "summary": "Parse\u0020MARC\u0020collection\u0020from\u0020a\u0020string\u0020into\u0020an\u0020array",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_collectionFromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AfromString\u0028\u0029",
            "name": "fromString",
            "summary": "Parse\u0020an\u0020ISO2709\u0020string",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_fromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AtoString\u0028\u0029",
            "name": "toString",
            "summary": "Convert\u0020record\u0020to\u0020an\u0020ISO2709\u0020string",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_toString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AopenCollectionFile\u0028\u0029",
            "name": "openCollectionFile",
            "summary": "Open\u0020a\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_openCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003Arewind\u0028\u0029",
            "name": "rewind",
            "summary": "Rewind\u0020the\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_rewind"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AgetNextRecord\u0028\u0029",
            "name": "getNextRecord",
            "summary": "Get\u0020next\u0020record\u0020from\u0020the\u0020file\u0020or\u0020an\u0020empty\u0020string\u0020on\u0020EOF",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#method_getNextRecord"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003ASUBFIELD_INDICATOR",
            "name": "SUBFIELD_INDICATOR",
            "summary": "",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#constant_SUBFIELD_INDICATOR"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AEND_OF_FIELD",
            "name": "END_OF_FIELD",
            "summary": "",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#constant_END_OF_FIELD"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AEND_OF_RECORD",
            "name": "END_OF_RECORD",
            "summary": "",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#constant_END_OF_RECORD"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003ALEADER_LEN",
            "name": "LEADER_LEN",
            "summary": "",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#constant_LEADER_LEN"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003AMAX_LENGTH",
            "name": "MAX_LENGTH",
            "summary": "",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#constant_MAX_LENGTH"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\Iso2709\u003A\u003A\u0024file",
            "name": "file",
            "summary": "Serialized\u0020record\u0020file\u0020handle",
            "url": "classes/VuFind-Marc-Serialization-Iso2709.html#property_file"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson",
            "name": "MarcInJson",
            "summary": "MARC\u002Din\u002DJSON\u0020format\u0020support\u0020class.",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AcanParse\u0028\u0029",
            "name": "canParse",
            "summary": "Check\u0020if\u0020this\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_canParse"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AcanParseCollection\u0028\u0029",
            "name": "canParseCollection",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_canParseCollection"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AcanParseCollectionFile\u0028\u0029",
            "name": "canParseCollectionFile",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_canParseCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AcollectionFromString\u0028\u0029",
            "name": "collectionFromString",
            "summary": "Parse\u0020MARC\u0020collection\u0020from\u0020a\u0020string\u0020into\u0020an\u0020array",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_collectionFromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AfromString\u0028\u0029",
            "name": "fromString",
            "summary": "Parse\u0020MARC\u002Din\u002DJSON",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_fromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AtoString\u0028\u0029",
            "name": "toString",
            "summary": "Convert\u0020record\u0020to\u0020ISO2709\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_toString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AopenCollectionFile\u0028\u0029",
            "name": "openCollectionFile",
            "summary": "Open\u0020a\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_openCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003Arewind\u0028\u0029",
            "name": "rewind",
            "summary": "Rewind\u0020the\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_rewind"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AgetNextRecord\u0028\u0029",
            "name": "getNextRecord",
            "summary": "Get\u0020next\u0020record\u0020from\u0020the\u0020file\u0020or\u0020an\u0020empty\u0020string\u0020on\u0020EOF",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_getNextRecord"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003AjsonEncode\u0028\u0029",
            "name": "jsonEncode",
            "summary": "Convert\u0020a\u0020record\u0020array\u0020to\u0020a\u0020JSON\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#method_jsonEncode"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003A\u0024fileName",
            "name": "fileName",
            "summary": "Current\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#property_fileName"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcInJson\u003A\u003A\u0024reader",
            "name": "reader",
            "summary": "JSON\u0020Reader\u0020for\u0020current\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcInJson.html#property_reader"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml",
            "name": "MarcXml",
            "summary": "MARCXML\u0020format\u0020support\u0020class.",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AcanParse\u0028\u0029",
            "name": "canParse",
            "summary": "Check\u0020if\u0020this\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_canParse"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AcanParseCollection\u0028\u0029",
            "name": "canParseCollection",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_canParseCollection"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AcanParseCollectionFile\u0028\u0029",
            "name": "canParseCollectionFile",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_canParseCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AcollectionFromString\u0028\u0029",
            "name": "collectionFromString",
            "summary": "Parse\u0020MARC\u0020collection\u0020from\u0020a\u0020string\u0020into\u0020an\u0020array",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_collectionFromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AfromString\u0028\u0029",
            "name": "fromString",
            "summary": "Parse\u0020MARCXML\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_fromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AtoString\u0028\u0029",
            "name": "toString",
            "summary": "Convert\u0020record\u0020to\u0020a\u0020MARCXML\u0020string",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_toString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AloadXML\u0028\u0029",
            "name": "loadXML",
            "summary": "Load\u0020XML\u0020into\u0020SimpleXMLElement",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_loadXML"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AopenCollectionFile\u0028\u0029",
            "name": "openCollectionFile",
            "summary": "Open\u0020a\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_openCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003Arewind\u0028\u0029",
            "name": "rewind",
            "summary": "Rewind\u0020the\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_rewind"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003AgetNextRecord\u0028\u0029",
            "name": "getNextRecord",
            "summary": "Get\u0020next\u0020record\u0020from\u0020the\u0020file\u0020or\u0020an\u0020empty\u0020string\u0020on\u0020EOF",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#method_getNextRecord"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003A\u0024fileName",
            "name": "fileName",
            "summary": "Current\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#property_fileName"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003A\u0024xml",
            "name": "xml",
            "summary": "XML\u0020Reader\u0020for\u0020current\u0020file",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#property_xml"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MarcXml\u003A\u003A\u0024currentXmlPath",
            "name": "currentXmlPath",
            "summary": "Current\u0020XML\u0020element\u0020path",
            "url": "classes/VuFind-Marc-Serialization-MarcXml.html#property_currentXmlPath"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MessageCallbackInterface",
            "name": "MessageCallbackInterface",
            "summary": "MARC\u0020serialization\u0020message\u0020callback\u0020interface.",
            "url": "classes/VuFind-Marc-Serialization-MessageCallbackInterface.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\MessageCallbackInterface\u003A\u003AsetMessageCallback\u0028\u0029",
            "name": "setMessageCallback",
            "summary": "Set\u0020message\u0020callback",
            "url": "classes/VuFind-Marc-Serialization-MessageCallbackInterface.html#method_setMessageCallback"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationFileInterface",
            "name": "SerializationFileInterface",
            "summary": "MARC\u0020serialization\u0020file\u0020interface.",
            "url": "classes/VuFind-Marc-Serialization-SerializationFileInterface.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationFileInterface\u003A\u003AcanParseCollectionFile\u0028\u0029",
            "name": "canParseCollectionFile",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-SerializationFileInterface.html#method_canParseCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationFileInterface\u003A\u003AsetMessageCallback\u0028\u0029",
            "name": "setMessageCallback",
            "summary": "Set\u0020message\u0020callback",
            "url": "classes/VuFind-Marc-Serialization-SerializationFileInterface.html#method_setMessageCallback"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationFileInterface\u003A\u003AopenCollectionFile\u0028\u0029",
            "name": "openCollectionFile",
            "summary": "Open\u0020a\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-SerializationFileInterface.html#method_openCollectionFile"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationFileInterface\u003A\u003Arewind\u0028\u0029",
            "name": "rewind",
            "summary": "Rewind\u0020the\u0020collection\u0020file",
            "url": "classes/VuFind-Marc-Serialization-SerializationFileInterface.html#method_rewind"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationFileInterface\u003A\u003AgetNextRecord\u0028\u0029",
            "name": "getNextRecord",
            "summary": "Get\u0020next\u0020record\u0020from\u0020the\u0020file\u0020or\u0020an\u0020empty\u0020string\u0020on\u0020EOF",
            "url": "classes/VuFind-Marc-Serialization-SerializationFileInterface.html#method_getNextRecord"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationInterface",
            "name": "SerializationInterface",
            "summary": "MARC\u0020serialization\u0020interface.",
            "url": "classes/VuFind-Marc-Serialization-SerializationInterface.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationInterface\u003A\u003AcanParse\u0028\u0029",
            "name": "canParse",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020string",
            "url": "classes/VuFind-Marc-Serialization-SerializationInterface.html#method_canParse"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationInterface\u003A\u003AcanParseCollection\u0028\u0029",
            "name": "canParseCollection",
            "summary": "Check\u0020if\u0020the\u0020serialization\u0020class\u0020can\u0020parse\u0020the\u0020given\u0020MARC\u0020collection\u0020string",
            "url": "classes/VuFind-Marc-Serialization-SerializationInterface.html#method_canParseCollection"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationInterface\u003A\u003AcollectionFromString\u0028\u0029",
            "name": "collectionFromString",
            "summary": "Parse\u0020MARC\u0020collection\u0020from\u0020a\u0020string\u0020into\u0020an\u0020array\u0020of\u0020MarcReader\u0020classes",
            "url": "classes/VuFind-Marc-Serialization-SerializationInterface.html#method_collectionFromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationInterface\u003A\u003AfromString\u0028\u0029",
            "name": "fromString",
            "summary": "Parse\u0020MARC\u0020from\u0020a\u0020string",
            "url": "classes/VuFind-Marc-Serialization-SerializationInterface.html#method_fromString"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization\\SerializationInterface\u003A\u003AtoString\u0028\u0029",
            "name": "toString",
            "summary": "Convert\u0020record\u0020to\u0020a\u0020string\u0020representing\u0020the\u0020format\u0020supported\u0020by\u0020the\nserialization\u0020class",
            "url": "classes/VuFind-Marc-Serialization-SerializationInterface.html#method_toString"
        },                {
            "fqsen": "\\",
            "name": "\\",
            "summary": "",
            "url": "namespaces/default.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Lint",
            "name": "Lint",
            "summary": "",
            "url": "namespaces/vufind-marc-lint.html"
        },                {
            "fqsen": "\\VuFind\\Marc",
            "name": "Marc",
            "summary": "",
            "url": "namespaces/vufind-marc.html"
        },                {
            "fqsen": "\\VuFind",
            "name": "VuFind",
            "summary": "",
            "url": "namespaces/vufind.html"
        },                {
            "fqsen": "\\VuFind\\Marc\\Serialization",
            "name": "Serialization",
            "summary": "",
            "url": "namespaces/vufind-marc-serialization.html"
        }            ]
);
